﻿
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.

//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.

//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

//   THIS PROGRAM IS VERSION 3.07 February 2016  
//   This module created by G. Saunders (slipperman12 on UKTS Forum)

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace APKExtractor
{
    public partial class ProfilePicker : Form
    {
        List<string> prof = new List<string>(FolderHelper.profiles);
        private string profilePicked = null;
        public string ProfilePicked
        {
            get { return profilePicked; }
        }

        public ProfilePicker()
        {
            InitializeComponent();
            dropDownProfiles.Enabled = true;
            dropDownProfiles.Items.AddRange(prof.ToArray());
        }

       private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
       {

       }

       private void btnAccept_Click(object sender, EventArgs e)
       {
     //  Accept button
           profilePicked = "";
           if (dropDownProfiles.SelectedItem == null)
           {
               MessageBox.Show("Please select one of the installations, or click the <Cancel> button", "APKExtractor3");
           }
           else
           {
               profilePicked = dropDownProfiles.SelectedItem.ToString();
               DialogResult = DialogResult.OK;
           }

       }

       private void btnCancel_Click(object sender, EventArgs e)
       {
     // Cancel button
           profilePicked = null;
           DialogResult = DialogResult.Cancel;
          

       }
       private void ProfilePicker_Load(object sender, EventArgs e)
       {
          
       }

    }
}