﻿using System;
using System.Collections.Generic;
using System.Linq;
// using System.Threading.Tasks;
using System.Windows.Forms;
using Microsoft.Win32;

namespace APKEx_RegFix
{

    class APKE_RegFix
    {
        static void Main()
        {
            string progID = "APKEx_RegFix";
            int runResult = 0;

            // Open subkey Applications\APKExtractor3.exe in HKEY_CLASSES_ROOT
            RegistryKey apkeKey = Registry.ClassesRoot.OpenSubKey("Applications\\APKExtractor3.exe");
            if (apkeKey != null)
            {
                apkeKey.Close();    // Close the key, in case it's open by another process
                DialogResult answer = MessageBox.Show("Are you sure you want to delete the APKExtractor Key?", progID, MessageBoxButtons.YesNo);
                if (answer == DialogResult.Yes)
                {
                    RegistryKey delKey = Registry.ClassesRoot.OpenSubKey("Applications", true);
                    delKey.DeleteSubKeyTree("APKExtractor3.exe");
                    // MessageBox.Show("APKExtractor3.exe key deleted.", progID);
                    // MessageBox.Show("THIS IS ONLY A TEST - IT HASN'T BEEN DELETED!!");
                    runResult = 2;
                }
                if (answer == DialogResult.No)
                {
                    runResult = 1;
                }
            }
         //   else
         //   {
         //       MessageBox.Show("Key doesn't exist.", progID);
         //   }

            if (runResult == 2)
            {
                MessageBox.Show("The APKExtractor key has been deleted\nPlease try to re-associate apk files now!", progID);
            }
            else 
            {
                if (runResult == 0)
                {
                    MessageBox.Show("The APKExtractor key is not present.", progID);
                }
                else
                {
                    MessageBox.Show("Run terminated by the user - no changes have been made.", progID);
                }
            }
        }
    }
}