﻿
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.

//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.

//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

//   THIS PROGRAM IS VERSION 3.07  February 2016  
//   This module created by G. Saunders (slipperman12 on UKTS Forum)

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace APKExtractor
{
    public partial class OverWrite : Form
    {
        public static List<int> selected = new List<int>();
        List<string> overWrite = new List<string>(_APKFile.existName);

        public OverWrite()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (checkedListBox1.CheckedItems.Count != 0)
            {
                foreach (int indexChecked in checkedListBox1.CheckedIndices)
                {
                    selected.Add(indexChecked);
                }
            }
            this.Close();
        }

        private void checkedListBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            int selected = checkedListBox1.SelectedIndex;
            if (selected != -1)
            {
                this.Text = checkedListBox1.Items[selected].ToString();
            }
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {                                                                      // ALL button
            if (checkBox1.Checked)                                             // if it is checked
            {
                for (int i = 0; i < checkedListBox1.Items.Count; i++)
                {
                    checkedListBox1.SetItemCheckState(i, CheckState.Checked);  // set all files to checked (overwrite)
                }
            }
            else                                                                // otherwise
            {
                for (int i = 0; i < checkedListBox1.Items.Count; i++)
                {
                    checkedListBox1.SetItemCheckState(i, CheckState.Unchecked);  // set all files to unchecked (do not overwrite)
                }
            }
        }

        private void OverWrite_Load(object sender, EventArgs e)
        {
            var items = checkedListBox1.Items;
            items.AddRange(overWrite.ToArray());                               //  create ListBox entries  
            checkedListBox1.CheckOnClick = true;
        }
    }
}
